ZyXEL OMNI 56K PCI

Автор: Delphist Дата: 03.06.2003 15:05 Люди помогите установить этот модем в ASPLinux 9. В ALTLinux Junior 2.1 работал отлично.
Re: ZyXEL OMNI 56K PCI 03.06.2003 15:18МихаилZ www.linmodems.org
Re: ZyXEL OMNI 56K PCI 03.06.2003 19:19Delphist Дрова у меня есть. Причем самые последние. В ALTLinux Junior 2.1 работали как влитые, в ASPLinux 9 без insmod -f pctel даже не загружаются говорят:
[delphist@localhost delphist]$ insmod pctel
Using /lib/modules/2.4.20-9asp/misc/pctel.o
/lib/modules/2.4.20-9asp/misc/pctel.o: The module you are trying to load (/lib/modules/2.4.20-9asp/misc/pctel.o) is compiled
with a gcc
version 2 compiler, while the kernel you are running is compiled with
a gcc version 3 compiler. This is known to not work.

C -f под root
[root@localhost delphist]# insmod -f pctel
Using /lib/modules/2.4.20-9asp/misc/pctel.o
Warning: The module you are trying to load (/lib/modules/2.4.20-9asp/misc/pctel.o) is compiled with a gcc
version 2 compiler, while the kernel you are running is compiled with
a gcc version 3 compiler. This is known to not work.
Warning: loading /lib/modules/2.4.20-9asp/misc/pctel.o will taint the kernel: non-GPL license - GPL linked with proprietary libraries
See [www.tux.org] for information about tainted modules
Warning: loading /lib/modules/2.4.20-9asp/misc/pctel.o will taint the kernel: forced load
Module pctel loaded, with warnings
[root@localhost delphist]# insmod -f ptserial
Using /lib/modules/2.4.20-9asp/misc/ptserial.o
Warning: loading /lib/modules/2.4.20-9asp/misc/ptserial.o will taint the kernel: non-GPL license - GPL linked with proprietary libraries
See [www.tux.org] for information about tainted modules
Warning: loading /lib/modules/2.4.20-9asp/misc/ptserial.o will taint the kernel: forced load
Module ptserial loaded, with warnings

Обычно на 2-3 й дозвон комп виснет намертво, да и автозагрузку модулей сделать нельзя.
Re: ZyXEL OMNI 56K PCI 03.06.2003 23:18Dima Вот линух сам пишет, что модуль, который Вы пытаетесь загрузить(дрова под Ваш модем) скомпилирован компилятором второй версии, а само ядро компилятором третьей версии. В ALTlinux 2.1 ядро более ранней версии и компилятор тоже, а для девятки надо перекомпилить дрова заново евойным компилятором версии 3. Вы же его насильно грузите (-f), причем система честно Вас предупреждает, что модуль загружен с ошибками.

P. S. Вам не кажется, что здесь слишком много слов "компилятор"??? Улыбка
Re: ZyXEL OMNI 56K PCI 04.06.2003 14:01Delphist Модули я пересобрал первым делом, но видимо какие-то либы для них скомпайлены 2м gcc и именно поэтому нифига не работает.
Re: ZyXEL OMNI 56K PCI 04.06.2003 14:08Vladimir Dyakov в дистрибе с модулями есть файлы *.so или *.o? если есть, то ищите другие, более свежие, дрова, потому что те, что у вас, прекомпилированы, и вы их по-нормальному пересобрать не сможете.
з.ы. вам не кажется, что в предыдущем предложении слишком много запятых? ;-)
Re: ZyXEL OMNI 56K PCI 06.06.2003 17:23_mental_ А вота я инсмодил насильно (-f) при аналогичной ошибке... Сейчас, как видите, я в инете...
Re: ZyXEL OMNI 56K PCI 19.07.2003 20:23Triumf Кто-нибудь решил эту проблему?
Если решили объянитее зеленому по шагам, плиз
Re: ZyXEL OMNI 56K PCI 19.07.2003 20:44rmn Triumf писал(а):

> Кто-нибудь решил эту проблему?
> Если решили объянитее зеленому по шагам, плиз
дык качать и компилять. Что тут говорить то ?
[linmodems.technion.ac.il]

помнится, версия постарее была постабильней. Вообщем, читайте доку там же и пробуйте
Re: ZyXEL OMNI 56K PCI 20.07.2003 12:01Triumf Все равно, сабака, виснет на третьем дозвоне %(
Максимум чего добился, так это после обработки модулей fixscript-ом, он теперь модули сам грузит, без insmod -f.

Может есть какая тонкость в этом деле?
RSS-материал